CREATE OR ALTER procedure GET_DOC_PRICE_COLLISIONS (
    ID_REPORT integer)
returns (
    DOC_CODE char(10),
    USL_CODE char(16),
    USL_NAME varchar(200),
    D_OKAZ date,
    ID_STATTALON integer,
    PRICE numeric(18,2),
    NUB_K char(10))
as
declare variable ID_FYSMANUAL integer;
begin
    select id_fysmanual
    from report where id_report = :id_report
    into :id_fysmanual;

    for select usl_od.k_vr, stattalon.id_stattalon, stattalon.nub_k, usl_od.d_okaz/*, count(distinct zysv)*/
        from (stattalon inner join usl_od on stattalon.id_stattalon = usl_od.id_stattalon)
            inner join fys2006 on (usl_od.k_usl_mz = fys2006.kod_us_mz and fys2006.idfysmanual = :id_fysmanual)
    where stattalon.id_report = :id_report  and usl_od.k_vr<>''
    and fys2006.pos = '+'
    group by usl_od.k_vr, stattalon.id_stattalon, stattalon.nub_k, usl_od.d_okaz
    having count(distinct dd) > 1
    into :doc_code, :id_stattalon, :nub_k, :d_okaz do
    begin
        for select usl_od.k_usl_mz, fys2006.nys, usl_od.usl_code
            from usl_od inner join fys2006 on (usl_od.k_usl_mz = fys2006.kod_us_mz and fys2006.idfysmanual = :id_fysmanual)
            where usl_od.id_stattalon = :id_stattalon
            and usl_od.k_vr = :doc_code
            and usl_od.d_okaz = :d_okaz
            /*order by usl_od.k_vr, usl_od.d_okaz*/
            group by usl_od.k_usl_mz, fys2006.nys, usl_od.usl_code
        into :usl_code, :usl_name, :price do
        begin
            suspend;
        end
    end
end